##############################
## Created by Sandor Laki   ##
## Email: lakis@inf.elte.hu ##
##############################


import os, pygame,math
from random import randint
import time
from pygame.locals import *

from Globals import *

from Sheep import Sheep

class Checkpoint:
	"""An checkpoint class"""

	def __init__(self, sheeps, rect):
		self.sheeps = sheeps
		self.rect = rect
		self.activated = False
		self.checked = False

	def activate(self):
		"""Activate checkpoint"""
		self.activated = True

	def update(self):		
		if self.activated:
			# checking sheeps for containing
			for sheep in self.sheeps:
				if not (self.rect.left<=sheep.x and self.rect.right>=sheep.x
					and self.rect.top<=sheep.y and self.rect.bottom>=sheep.y):
					return
			self.checked = True
	
	def draw(self,screen):
		#draw a red rectangle
		pygame.draw.rect(screen, (255,55,55), self.rect, 1)

