#/usr/bin/env python 

import os, pygame,math 
from pygame.locals import * 

from Dog import Dog
from Map import Map
from Globals import *

class Game:
	def __init__(self):
		pygame.init()
		
		self.screen = pygame.display.set_mode((800, 600),1)
		pygame.display.set_caption('Carl Codemonkey') 
		self.map = Map()
		#im = pygame.image.load("./images/dog.png").convert()
        	#im.set_colorkey((0xff, 0xff, 0xff), RLEACCEL) 
	 		
		self.map.loadMap()
		self.dog = Dog(self.map)
		self.dog.setLocation( 3, 3)
		self.rp = pygame.sprite.RenderPlain( (self.dog) )
		# self.proba.goTo(1,1)
		
	def run(self):		
		clock = pygame.time.Clock() 
		runstate = 0
		old_time = -1
		while 1:
            		clock.tick(30)
                                 
		        if runstate == 0:
                		if old_time == -1:
                    			old_time = pygame.time.get_ticks()
                    
                		if (pygame.time.get_ticks()-old_time) >= 0: 
                    			old_time = -1
                    			runstate = 1
                    
                		for event in pygame.event.get():
		                	if event.type == QUIT:
                				return
					elif event.type == KEYDOWN:
						if event.key == K_ESCAPE:
							return # main menu
					elif event.type == MOUSEBUTTONDOWN:
							tx = event.pos[0]/BSIZE
							ty = event.pos[1]/BSIZE
							self.dog.setTarget(tx,ty)
 			elif runstate == 1:
				#if old_time == -1:
                    		#	old_time = pygame.time.get_ticks()
				#runstate = 0	
				for event in pygame.event.get():
		                	if event.type == QUIT:
                				return
					elif event.type == KEYDOWN:
						if event.key == K_ESCAPE:
							return # main menu
					elif event.type == MOUSEBUTTONDOWN:

							tx = event.pos[0]/BSIZE
							ty = event.pos[1]/BSIZE
							self.dog.setTarget(tx,ty)
		
				self.dog.update()
				self.map.draw( self.screen )
				self.rp.draw( self.screen )
				pygame.display.flip()

def main():
	print "alma"
	g = Game()
	
	g.run()
		#for k in range(10000):
		 #	print "."

#this calls the 'main' function when this script is executed
if __name__ == '__main__': main() 

